// Copyright (c) 2013 AT&T (htpp://developer.att.com)
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

#import "NSString+IAMUtils.h"
#import "MMSContent.h"
#import "IAMMessage.h"

@implementation NSString (IAMUtils)

-(NSDate*)dateWithFormatter:(NSDateFormatter *)formatter{
    return [formatter dateFromString:self];
}

-(NSNumber *)numberWithFormatter:(NSNumberFormatter *)formatter{
    return [formatter numberFromString:self];
}

-(MMSType)getMMSType{
    if ([self isEqualToString:@"TEXT"]) {
        return MMSText;
    }else if ([self isEqualToString:@"AUDIO"]){
        return MMSAudio;
    }else if ([self isEqualToString:@"IMAGE"]){
        return MMSImage;
    }
    
    return -1;
}

-(IAMMessageType)getMessageType{
    
    if ([self isEqualToString:@"TEXT"]) {
        return MTTEXT;
    }else if ([self isEqualToString:@"SMS"]){
        return MTSMS;
    }else if ([self isEqualToString:@"MMS"]){
        return MTMMS;
    }
    
    return -1;
}
@end
