// Copyright (c) 2013 AT&T (htpp://developer.att.com)
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

#import "MyCustomXCTestCase.h"
#import "NSString+IAMUtils.h"
#import "JSONParser.h"

@interface TestNSString_IAMUtils : MyCustomXCTestCase

@end

@implementation TestNSString_IAMUtils

- (void)setUp
{
    [super setUp];
    // Put setup code here; it will be run once, before the first test case.
}

- (void)tearDown
{
    // Put teardown code here; it will be run once, after the last test case.
    [super tearDown];
}

- (void)testGetDateWithFormatter
{

    NSDateFormatter* df= [[NSDateFormatter alloc] init];
    df.dateFormat= LongDateFormat;
    
    NSString* dateString= @"2012-01-14T12:00:00";

    NSDate* date = [dateString dateWithFormatter:df];
    NSString* expectedDateDescription= @"2012-01-14 20:00:00 +0000";

    XCTAssertTrue( [[date description] isEqualToString:expectedDateDescription],
                  @"Error parsing date from string %@", dateString);
    
    // Missing `T` in between the date and the time
    dateString= @"2012-01-14 12:00:00";
    date = [dateString dateWithFormatter:df];
    XCTAssertTrue(!date, @"Error parsing date from string %@", dateString);
    
    // Wrong `month`, 41 is not a valid month
    dateString= @"2012-41-14T12:00:00";
    date = [dateString dateWithFormatter:df];
    XCTAssertTrue(!date, @"Error parsing date from string %@", dateString);
}

@end
